OGRE: Ogre::ScriptCompilerManager Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::ScriptCompilerManager Class Reference
Core » Script

Manages threaded compilation of scripts. More...

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::ScriptCompilerManager:
[legend]

## Public Member Functions
| ScriptCompilerManager ()
virtual | ~ScriptCompilerManager ()
void | addScriptPattern (const String &pattern)
| Adds a script extension that can be handled (e.g. *.material, *.pu, etc.).
void | addTranslatorManager (ScriptTranslatorManager *man)
| Adds the given translator manager to the list of managers.
void | clearTranslatorManagers ()
| Clears all translator managers.
ScriptCompilerListener * | getListener ()
| Returns the currently set listener used for compiler instances.
Real | getLoadingOrder (void) const override
| Gets the loading order for scripts of this type.
const StringVector & | getScriptPatterns (void) const override
| Gets the file patterns which should be used to find scripts for this class.
ScriptTranslator * | getTranslator (const AbstractNodePtr &node)
| Retrieves a ScriptTranslator from the supported managers.
void | parseScript (DataStreamPtr &stream, const String &groupName) override
| Parse a script file.
uint32 | registerCustomWordId (const String &word)
| Adds a custom word id which can be used for custom script translators.
void | removeTranslatorManager (ScriptTranslatorManager *man)
| Removes the given translator manager from the list of managers.
void | setListener (ScriptCompilerListener *listener)
| Sets the listener used for compiler instances.
Public Member Functions inherited from Ogre::Singleton< ScriptCompilerManager >
| ~Singleton (void)
Public Member Functions inherited from Ogre::ScriptLoader
virtual | ~ScriptLoader ()

## Static Public Member Functions
static ScriptCompilerManager & | getSingleton (void)
| Get the singleton instance.
static ScriptCompilerManager * | getSingletonPtr (void)
| Get the singleton instance.
Static Public Member Functions inherited from Ogre::Singleton< ScriptCompilerManager >
static ScriptCompilerManager & | getSingleton (void)
| Get the singleton instance.
static ScriptCompilerManager * | getSingletonPtr (void)
| Get the singleton instance.

## Detailed Description

Manages threaded compilation of scripts.

This script loader forwards scripts compilations to a specific compiler instance.

## Constructor & Destructor Documentation

## ◆ ScriptCompilerManager()

Ogre::ScriptCompilerManager::ScriptCompilerManager | ( |  | ) |

Referenced by getSingleton(), and getSingletonPtr().

## ◆ ~ScriptCompilerManager()

virtual Ogre::ScriptCompilerManager::~ScriptCompilerManager | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ setListener()

void Ogre::ScriptCompilerManager::setListener | ( | ScriptCompilerListener * | listener | ) |

Sets the listener used for compiler instances.

## ◆ getListener()

ScriptCompilerListener * Ogre::ScriptCompilerManager::getListener | ( |  | ) |

Returns the currently set listener used for compiler instances.

## ◆ addTranslatorManager()

void Ogre::ScriptCompilerManager::addTranslatorManager | ( | ScriptTranslatorManager * | man | ) |

Adds the given translator manager to the list of managers.

## ◆ removeTranslatorManager()

void Ogre::ScriptCompilerManager::removeTranslatorManager | ( | ScriptTranslatorManager * | man | ) |

Removes the given translator manager from the list of managers.

## ◆ clearTranslatorManagers()

void Ogre::ScriptCompilerManager::clearTranslatorManagers | ( |  | ) |

Clears all translator managers.

## ◆ getTranslator()

ScriptTranslator * Ogre::ScriptCompilerManager::getTranslator | ( | const AbstractNodePtr & | node | ) |

Retrieves a ScriptTranslator from the supported managers.

## ◆ registerCustomWordId()

uint32 Ogre::ScriptCompilerManager::registerCustomWordId | ( | const String & | word | ) |

Adds a custom word id which can be used for custom script translators.

Parameters

  word | The word to be registered.

Returns
  The word id for the registered word.

Note
  If the word is already registered, the already registered id is returned.

## ◆ addScriptPattern()

void Ogre::ScriptCompilerManager::addScriptPattern | ( | const String & | pattern | ) |

Adds a script extension that can be handled (e.g. *.material, *.pu, etc.).

## ◆ getScriptPatterns()

const StringVector & Ogre::ScriptCompilerManager::getScriptPatterns | ( | void |  | ) | const
| overridevirtual

Gets the file patterns which should be used to find scripts for this class.

This method is called when a resource group is loaded if you use ResourceGroupManager::_registerScriptLoader.

Returns
  A list of file patterns, in the order they should be searched in.

Implements Ogre::ScriptLoader.

## ◆ parseScript()

void Ogre::ScriptCompilerManager::parseScript | ( | DataStreamPtr & | stream,
|  | const String & | groupName )
| overridevirtual

Parse a script file.

Parameters

  stream | Weak reference to a data stream which is the source of the script
  groupName | The name of a resource group which should be used if any resources are created during the parse of this script.

Implements Ogre::ScriptLoader.

## ◆ getLoadingOrder()

Real Ogre::ScriptCompilerManager::getLoadingOrder | ( | void |  | ) | const
| overridevirtual

Gets the loading order for scripts of this type.

There are dependencies between some kinds of scripts, and this value enumerates that. Higher values load later during bulk loading tasks.

Returns
  The loading order

Implements Ogre::ScriptLoader.

## ◆ getSingleton()

ScriptCompilerManager & Ogre::ScriptCompilerManager::getSingleton | ( | void |  | ) |
| static

Get the singleton instance.

References ScriptCompilerManager().

## ◆ getSingletonPtr()

ScriptCompilerManager * Ogre::ScriptCompilerManager::getSingletonPtr | ( | void |  | ) |
| static

Get the singleton instance.

References ScriptCompilerManager().

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h